ConstructionPreprocessRequest is passed to the /construction/preprocess endpoint so that a Rosetta implementation can determine which metadata it needs to request for construction

export
interface

  RosettaConstructionPreprocessRequest

### Hierarchy

- RosettaConstructionPreprocessRequest

## Index

### Properties

- max_fee
- metadata
- network_identifier
- operations
- suggested_fee_multiplier

## Properties

### Optional max_fee

max_fee: RosettaMaxFeeAmount []

- Defined in src/generated/models/RosettaConstructionPreprocessRequest.ts:60

memberof

  RosettaConstructionPreprocessRequest

### Optional metadata

metadata: object

- Defined in src/generated/models/RosettaConstructionPreprocessRequest.ts:54

memberof

  RosettaConstructionPreprocessRequest

### network_identifier

network_identifier: NetworkIdentifier

- Defined in src/generated/models/RosettaConstructionPreprocessRequest.ts:42

memberof

  RosettaConstructionPreprocessRequest

### operations

operations: RosettaOperation []

- Defined in src/generated/models/RosettaConstructionPreprocessRequest.ts:48

memberof

  RosettaConstructionPreprocessRequest

### Optional suggested_fee_multiplier

suggested_fee_multiplier: number

- Defined in src/generated/models/RosettaConstructionPreprocessRequest.ts:66

The caller can also provide a suggested fee multiplier to indicate that the suggested fee should be scaled. This may be used to set higher fees for urgent transactions or to pay lower fees when there is less urgency. It is assumed that providing a very low multiplier (like 0.0001) will never lead to a transaction being created with a fee less than the minimum network fee (if applicable). In the case that the caller provides both a max fee and a suggested fee multiplier, the max fee will set an upper bound on the suggested fee (regardless of the multiplier provided).

memberof

  RosettaConstructionPreprocessRequest

Generated using TypeDoc